version: '3'
services:

###############
  bo-backend:
    image: REGISTRY_APP/bo-backend-rest:$IMAGE_TAG
    environment:
      - SPRING_PROFILES_ACTIVE=integration
      - PACT_B2B_HOST_PORT=bo-mock-server:9754
    volumes:
      - /tmp:/data
      - /tmp:/tmp
    expose:
      - 9753
      - 9757

###############
  bo-mock-server:
    image: REGISTRY_APP/bo-backend-mock-server:$IMAGE_TAG
    environment:
      - SPRING_PROFILES_ACTIVE=integration
    volumes:
      - /tmp:/data
      - /tmp:/tmp
    links:
      - bo-backend
    expose:
      - 9754


###############
  bo-frontend:
    image: REGISTRY_APP/bo-frontend:$IMAGE_TAG
    volumes:
    - /dev/shm:/dev/shm
    expose:
    - 8080

###############
  bo-reverse-proxy:
    image: REGISTRY_APP/bo-reverse-proxy:$IMAGE_TAG
    container_name: bo-reverse-proxy
    links:
      - bo-frontend
      - bo-backend
      - bo-mock-server
    ports:
      - "80:80"
    volumes:
      - /var/run/docker.sock:/tmp/docker.sock:ro
